Skip to content

update_comment

PATCH
/rum/{app_id}/comments/{comment_id}
curl --request PATCH \
--url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example", "mentions": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "resolved": true }'
app_id
required
string format: uuid
comment_id
required
string format: uuid
Media type application/json
object
body
string | null
mentions
array | null
resolved
boolean | null
Example generated
{
"body": "example",
"mentions": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"resolved": true
}
Media type application/json
object
mention_delivery
One of:
null
id
required
string format: uuid
target
required
string
at_ms
integer | null format: int64
body
required
string
mentions
required
Array<string>
author_user_id
string | null format: uuid
author_name
string | null
resolved_at
string | null
created_at
required
string
edited_at
string | null
can_edit
required
boolean
Example generated
{
"mention_delivery": {
"queued": 1,
"failed": 1
},
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"target": "example",
"at_ms": 1,
"body": "example",
"mentions": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"author_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"author_name": "example",
"resolved_at": "example",
"created_at": "example",
"edited_at": "example",
"can_edit": true
}

Comment inaccessible